## org.eclipse.datatools.connectivity.oda
Interface IResultSetMetaData

    public interface IResultSetMetaData

The interface that represents the meta-data of an IResultSet object. An IResultSetMetaData object represents a row containing meta-data for each column in the result set.

Note: All indices in this interface are 1-based.

Field Summary
`static int` `columnNoNulls` The constant indicating that a column does not allow `NULL` value.
`static int` `columnNullable` The constant indicating that a column allows `NULL` value.
`static int` `columnNullableUnknown` The constant indicating that the nullability of a column's values is unknown.

Method Summary
`int` `getColumnCount()` Returns the number of columns in the corresponding IResultSet object.
`int` `getColumnDisplayLength(int index)` Returns the display length of the specific column.
`java.lang.String` `getColumnLabel(int index)` Returns the designated column's suggested title for use in the column heading and/or display name.
`java.lang.String` `getColumnName(int index)` Returns the name of the specific column.
`int` `getColumnType(int index)` Returns the data provider specific code of the column's data type.
`java.lang.String` `getColumnTypeName(int index)` Returns the data provider specific name of the column's data type.
`int` `getPrecision(int index)` Returns the maximum number of decimal digits of the specific column.
`int` `getScale(int index)` Returns the maximum number of digits to the right of the decimal point of the specific column.
`int` `isNullable(int index)` Indicates the nullability of values in the designated column.

Field Detail

### columnNoNulls

    static final int columnNoNulls

  The constant indicating that a column does not allow `NULL` value.

  See Also:
    Constant Field Values

### columnNullable

    static final int columnNullable

  The constant indicating that a column allows `NULL` value.

  See Also:
    Constant Field Values

### columnNullableUnknown

    static final int columnNullableUnknown

  The constant indicating that the nullability of a column's values is unknown.

  See Also:
    Constant Field Values

Method Detail

### getColumnCount

    int getColumnCount()
                       throws OdaException

  Returns the number of columns in the corresponding IResultSet object.

  Returns:
    number of columns.
  Throws:
    `OdaException` - if data source error occurs.

### getColumnName

    java.lang.String getColumnName(int index)
                                   throws OdaException

  Returns the name of the specific column.

  Parameters:
    `index` - column number (1-based).
  Returns:
    the column name.
  Throws:
    `OdaException` - if data source error occurs.

### getColumnLabel

    java.lang.String getColumnLabel(int index)
                                    throws OdaException

  Returns the designated column's suggested title for use in the column heading and/or display name.

  Parameters:
    `index` - column number (1-based).
  Returns:
    the column's suggested title.
  Throws:
    `OdaException` - if data source error occurs.

### getColumnType

    int getColumnType(int index)
                      throws OdaException

  Returns the data provider specific code of the column's data type. The valid values are implementation-specific.

  Parameters:
    `index` - column number (1-based).
  Returns:
    the native data type code of the column.
  Throws:
    `OdaException` - if data source error occurs.

### getColumnTypeName

    java.lang.String getColumnTypeName(int index)
                                       throws OdaException

  Returns the data provider specific name of the column's data type.

  Parameters:
    `index` - column number (1-based).
  Returns:
    the native data type name of the column.
  Throws:
    `OdaException` - if data source error occurs.

### getColumnDisplayLength

    int getColumnDisplayLength(int index)
                               throws OdaException

  Returns the display length of the specific column.

  Parameters:
    `index` - column number (1-based).
  Returns:
    the column display length, or -1 if unknown.
  Throws:
    `OdaException` - if data source error occurs.

### getPrecision

    int getPrecision(int index)
                     throws OdaException

  Returns the maximum number of decimal digits of the specific column. This method should only apply to numeric data types; however, it is up to an ODA data provider to determine those data types that are applicable. The maximum precision allowed on a data type may vary depending on the data provider.
  An optional method.

  Parameters:
    `index` - column number (1-based).
  Returns:
    the column precision, or -1 if not applicable.
  Throws:
    `OdaException` - if data source error occurs.

### getScale

    int getScale(int index)
                 throws OdaException

  Returns the maximum number of digits to the right of the decimal point of the specific column. This method should only apply to numeric data types, however, it is up to an ODA data provider to determine those data types that are applicable. The maximum scale allowed on a data type may vary depending on the data provider.
  An optional method.

  Parameters:
    `index` - column number.
  Returns:
    the column scale, or -1 if not applicable.
  Throws:
    `OdaException` - if data source error occurs.

### isNullable

    int isNullable(int index)
                   throws OdaException

  Indicates the nullability of values in the designated column.
  An optional method.

  Parameters:
    `index` - column number
  Returns:
    the nullability status of the specified column;
    one of columnNoNulls,
    columnNullable,
    columnNullableUnknown.
  Throws:
    `OdaException` - if data source error occurs.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.